import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
export const Show = (props) => {
    let when = null;
    let otherwise = null;
    React.Children.forEach(props.children, (child) => {
        const childElement = child;
        if (childElement.props.isTrue === undefined) {
            otherwise = childElement;
        }
        else if (!when && childElement.props.isTrue === true) {
            when = childElement;
        }
    });
    return when || otherwise;
};
Show.When = ({ isTrue, children }) => {
    return isTrue ? _jsx(_Fragment, { children: children }) : null;
};
Show.Else = ({ render, children }) => {
    return render ? render : children || null; // Call render as a function
};
